	
	var seconds = 0;
	var video;
	var openPageAt = getNowFormatDate();
	var playedStartAt = '';
	var userInfoId = localStorage.getItem("userInfoId");
	var resizeTimes = 0;
	var intervalFullScreen = null;
	
	function calcFlow(videoId, videoType, forceWrite)
	{
//		console.log('calcFlow videoId:'+videoId);
//		console.log('calcFlow videoType:'+videoType);
//		console.log('calcFlow forceWrite:'+forceWrite);
		seconds++;
		if(!video)
		{
			var videos = document.getElementsByTagName('video');
			if(!videos || videos.length == 0)
			{
				console.log('videos undefined');
				return;
			}
			video = videos[0];
			video.autoplay = true;
			//video.play();
		}
		if(forceWrite !== true && seconds % 60 != 0)
		{
			// 一分钟记录一次
			return;
		}
		var played;
		if(videoType == 'video')
		{
			played = localStorage.getItem('video-played');
		}
		else if(videoType == 'liveVideo')
		{
			played = localStorage.getItem('liveVideo-played');
		}
		console.log('calcFlow played:'+played);
		
		if(!played)
		{
			played = '[]';
		}
		played = JSON.parse(played);
		
		var buffered;
		if(videoType == 'video')
		{
			buffered = localStorage.getItem('video-buffered');
		}
		else if(videoType == 'liveVideo')
		{
			buffered = localStorage.getItem('liveVideo-buffered');
		}
		console.log('calcFlow buffered:'+buffered);
		
		if(!buffered)
		{
			buffered = '[]';
		}
		buffered = JSON.parse(buffered);
		
		console.log('video.played.length:'+video.played.length);
		console.log('video.played:'+ JSON.stringify(video.played));
		if(video.played.length > 0)
		{
			var currentAllPlayed = {};
			currentAllPlayed.videoId = videoId;
			currentAllPlayed.userInfoId = userInfoId;
			currentAllPlayed.playType = 'played';
			currentAllPlayed.openPageAt = openPageAt;
			currentAllPlayed.times = [];
			for(var i = 0; i < video.played.length; i++)
			{
				var currentPlayed = {};
				currentPlayed.start = video.played.start(i);
				currentPlayed.end = video.played.end(i);
				if(currentPlayed.end > 0)
				{
					currentAllPlayed.times.push(currentPlayed);
				}
				//console.log('video played:'+video.played.start(i)+','+video.played.end(i));	
			}
			
			var containCurrentAllPlayed = false;
			for(var i = 0; i < played.length; i++)
			{
				if(played[i].videoId == currentAllPlayed.videoId && played[i].openPageAt == currentAllPlayed.openPageAt)
				{
					containCurrentAllPlayed = true;
					played[i] = currentAllPlayed;
				}
			}
			
			if(!containCurrentAllPlayed)
			{
				played.push(currentAllPlayed);
			}
			
			played = JSON.stringify(played);
			
			if(videoType == 'video')
			{
				localStorage.setItem("video-played", played);
			}
			else if(videoType == 'liveVideo')
			{
				localStorage.setItem("liveVideo-played", played);
			}
			console.log('calcFlow played:'+played);
		}
		if(video.buffered.length > 0)
		{
			var currentAllBuffered = {};
			currentAllBuffered.videoId = videoId;
			currentAllBuffered.userInfoId = userInfoId;
			currentAllBuffered.playType = 'buffered';
			currentAllBuffered.openPageAt = openPageAt;
			currentAllBuffered.times = [];
			for(var i = 0; i < video.buffered.length; i++)
			{
				var currentBuffered = {};
				currentBuffered.start = video.buffered.start(i);
				currentBuffered.end = video.buffered.end(i);
				if(currentBuffered.end > 0)
				{
					currentAllBuffered.times.push(currentBuffered);
				}
				//console.log('video played:'+video.played.start(i)+','+video.played.end(i));	
			}
			
			var containCurrentAllBuffered = false;
			for(var i = 0; i < buffered.length; i++)
			{
				if(buffered[i].videoId == currentAllBuffered.videoId && buffered[i].openPageAt == currentAllBuffered.openPageAt)
				{
					containCurrentAllBuffered = true;
					buffered[i] = currentAllBuffered;
				}
			}					
			if(!containCurrentAllBuffered)
			{
				buffered.push(currentAllBuffered);
			}
			
			buffered = JSON.stringify(buffered);
			if(videoType == 'video')
			{
				localStorage.setItem("video-buffered", buffered);
			}
			else if(videoType == 'liveVideo')
			{
				localStorage.setItem("liveVideo-buffered", buffered);
			}
			console.log('calcFlow buffered:'+buffered);
		}
	}

	function postFlow(videoId, videoType)
	{
		console.log('postFlow ' + videoType);
		var played;
		if(videoType == 'video')
		{
			played = localStorage.getItem('video-played');
		}
		else if(videoType == 'liveVideo')
		{
			played = localStorage.getItem('liveVideo-played');
		}
		
		var buffered;
		if(videoType == 'video')
		{
			buffered = localStorage.getItem('video-buffered');
		}
		else if(videoType == 'liveVideo')
		{
			buffered = localStorage.getItem('liveVideo-buffered');
		}
		
		var param = {
			videoType: videoType,
			played: played,
			buffered: buffered
		};
		var additonal = {
			videoId: videoId,
			userInfoId: userInfoId,
			openPageAt: openPageAt,
			playedStartAt:playedStartAt?playedStartAt:openPageAt,
			playedEndAt:getUTCNowString()
		};
		var deviceInfo = {
			appid: plus.runtime.appid, 
			imei: plus.device.imei, //设备标识
			platform: mui.os.android ? 'android' : 'ios',
			md: plus.device.model, //设备型号
			app_version: plus.runtime.version,
			plus_version: plus.runtime.innerVersion, //基座版本号
			os:  mui.os.version
		};
		param.additonal = JSON.stringify(additonal);
		param.deviceInfo = JSON.stringify(deviceInfo);
		
		console.log('postFlow param:'+JSON.stringify(param));
		mui.ajax({
			type: "post",
			url: URLPRE + '/v1/video/calcVideoFlow',
			data: makeSign(param),
			async: false,
			dataType: "json",
			success: function(data) {
				console.log('postFlow result:'+JSON.stringify(data));
				if(data.errcode == '0')
				{
					if(videoType == 'video')
					{
						localStorage.removeItem("video-played");
						localStorage.removeItem("video-buffered");
					}
					else if(videoType == 'liveVideo')
					{
						localStorage.removeItem("liveVideo-played");
						localStorage.removeItem("liveVideo-buffered");
					}
				}
				//showWaiting.close();
				plus.screen.lockOrientation('portrait-primary');
			},
			error: function(xhr, type, errorThrown) {
				//showWaiting.close();
				console.log(xhr.readyState);
				console.log(xhr.statusText);
				console.log(xhr.responseText);
				console.log(type);
				plus.screen.lockOrientation('portrait-primary');
				//mui.alert("错误描述: " + xhr.status + " " + xhr.statusText, '加载视频信息失败', function() {});
			}
		});
	}

	function listenFullScreen()
	{
		console.log('listen:');
		if(!video)
		{
			var videos = document.getElementsByTagName('video');
			if(!videos || videos.length == 0)
			{
				console.log('videos undefined');
				return;
			}
			else
			{
				video = videos[0];
			}
		}
		
		window.clearInterval(intervalFullScreen);
		console.log('clearInterval intervalFullScreen');
		
		if(mui.os.android)
		{
			document.addEventListener('webkitfullscreenchange', function() {
			    var el = document.webkitFullscreenElement; //获取全屏元素
			    if(el) {
			        plus.screen.lockOrientation('landscape'); //锁死屏幕方向为横屏
			    } else {
			        plus.screen.unlockOrientation(); //解除屏幕方向的锁定
			    }
			});
		}
		else
		{
			video.addEventListener('webkitbeginfullscreen', function() {
			    plus.screen.lockOrientation('landscape'); //锁死屏幕方向为横屏
			});
			video.addEventListener('webkitendfullscreen', function() {
			    plus.screen.unlockOrientation(); //解除屏幕方向的锁定
			});
		}
		
		return;
		window.addEventListener("resize", function () {
			resizeTimes++;
			if(mui.os.ios)
			{
				plus.screen.lockOrientation('landscape-primary');
			}
			
			if(playedStartAt === '')
			{
				playedStartAt = getNowFormatDate();
			}
		});
	}
	
	function getNowFormatDate() 
	{
	    var date = new Date();
	    var month = date.getUTCMonth() + 1;
	    var strDate = date.getUTCDate();
	    var hours = date.getUTCHours();
	    var minutes = date.getUTCMinutes();
	    if (month >= 1 && month <= 9) {
	        month = "0" + month;
	    }
	    if (strDate >= 0 && strDate <= 9) {
	        strDate = "0" + strDate;
	    }
	    if (hours >= 0 && hours <= 9) {
	        hours = "0" + hours;
	    }
	    if (minutes >= 0 && minutes <= 9) {
	        minutes = "0" + minutes;
	    }
	    var currentdate = date.getUTCFullYear() + "-" + month + "-" + strDate
	            + " " + hours + ":" + minutes + ":00";
	    return currentdate;
	}

	function getUTCNowString() 
	{
	    var date = new Date();
	    var month = date.getUTCMonth() + 1;
	    var strDate = date.getUTCDate();
	    var hours = date.getUTCHours();
	    var minutes = date.getUTCMinutes();
	    var seconds = date.getUTCSeconds();
	    if (month >= 1 && month <= 9) {
	        month = "0" + month;
	    }
	    if (strDate >= 0 && strDate <= 9) {
	        strDate = "0" + strDate;
	    }
	    if (hours >= 0 && hours <= 9) {
	        hours = "0" + hours;
	    }
	    if (minutes >= 0 && minutes <= 9) {
	        minutes = "0" + minutes;
	    }
	    if (seconds >= 0 && seconds <= 9) {
	        seconds = "0" + seconds;
	    }
	    var currentdate = date.getUTCFullYear() + "-" + month + "-" + strDate
	            + " " + hours + ":" + minutes + ":" + seconds;
	    return currentdate;
	}
/*
 
	//测试代码
 */